#
# spec file for package perl-Convert-ASN1 (Version 0.12)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Convert-ASN1
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Provides:     p_casn1
Obsoletes:    p_casn1
Autoreqprov:  on
Summary:      Convert::ASN1
Version:      0.12
Release:      33
Source:       Convert-ASN1-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-build

%description
Convert between perl data structures and ASN.1 encoded packets

SuSE series: perl

%prep
%setup -n Convert-ASN1-%{version}

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/Convert/ASN1
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog MANIFEST README
%{perl_sitearch}/../Convert/*
%{perl_sitearch}/auto/Convert/ASN1
%doc %{_mandir}/man3/*
/var/adm/perl-modules/%{name}

%changelog -n perl-Convert-ASN1
* Fri Aug 03 2001 - rvasice@suse.cz
- update to version 0.12
* Tue Mar 13 2001 - cihlar@suse.cz
- update to version 0.08
- fixed file list
* Fri Nov 10 2000 - cihlar@suse.cz
- renamed p_casn1 -> perl-Convert-ASN1
* Tue Aug 22 2000 - cihlar@suse.cz
- package created
